Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.rt.sql
Class UpdateTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.sql.UpdateTagSupport
                  org.apache.taglibs.standard.tag.rt.sql.UpdateTag

All Implemented Interfaces:
  Serializable, SQLExecutionTag, BodyTag, IterationTag, JspTag, Tag, TryCatchFinally

    public class UpdateTag

extends UpdateTagSupport

Subclass for the JSTL library with rtexprvalue support.

Author:
  Hans Bergsten
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.sql.UpdateTagSupport
`dataSourceSpecified, rawDataSource, sql`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`UpdateTag()`

Method Summary
`void` | `setDataSource(Object dataSource)` Setter method for the SQL DataSource.
`void` | `setSql(String sql)` Setter method for the SQL statement to use for the query.

Methods inherited from class org.apache.taglibs.standard.tag.common.sql.UpdateTagSupport
`addSQLParameter, doCatch, doEndTag, doFinally, doStartTag, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### UpdateTag

    public UpdateTag()

Method Detail

### setDataSource

    public void setDataSource(Object dataSource)

  Setter method for the SQL DataSource. DataSource can be a String or a DataSource object.

### setSql

    public void setSql(String sql)

  Setter method for the SQL statement to use for the query. The statement may contain parameter markers (question marks, ?). If so, the parameter values must be set using nested value elements.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.